sfssd(8)

NAME
sfssd - SFS server daemon

SYNOPSIS
sfssd [-d] [-S sfs-config-file] [-f config-file]

DESCRIPTION
sfssd is the main server daemon run on SFS servers. sfssd itself does not serve any file systems. Rather, it acts as a meta-server, accepting connections on TCP port 4 and passing them off to the appropriate daemon. Ordinarily, sfssd passes all file system connections to sfsrwsd, and all user-key management connections to sfsauthd. However, the sfssd_config file () allows a great deal of customization, including support for ``virtual servers,'' multiple versions of the SFS software coexisting, and new SFS-related services other than the file system and user authentication.

OPTIONS

-d  Stay in the foreground and print messages to standard error rather than redirecting them to the system log.

-f config-file
    Specify an alternate sfssd configuration file. The default, if -f is unspecified, is first to look for /etc/sfs/sfssd_config, then /usr/local/share/sfs/sfssd_config.

-S sfs-config-file
    Specify an alternate name for the sfs_config file. If sfs-config-file begins with a /, then only this file is parsed. Otherwise, all the directories /usr/local/share/sfs and /etc/sfs are searched in order, and if no file named sfs-config-file is found but a file sfs_config is found, that file is parsed. However, the process does not look in /etc/sfs if sfs-config-file is found in /usr/local/share/sfs. Thus, if you create a file /etc/sfs/sfs-config-file, it will override /etc/sfs/sfs_config while still incorporating the defaults from /usr/local/share/sfs/sfs_config.

FILES

/etc/sfs/sfssd_config
/usr/local/share/sfs/sfssd_config
    meta-server configuration

(Files in /etc/sfs supersede default versions in /usr/local/share/sfs.)

SEE ALSO
dirsearch(1), newaid(1), rex(1), sfsagent(1), sfskey(1), ssu(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfscd(8), sfsrwsd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

AUTHOR
sfsdev@redlab.lcs.mit.edu